:root[theme=light] {
    color-scheme: light;
    --md-sys-color-action-buttons-background: rgba(255, 255, 255, 0.4);
    --md-sys-color-action-buttons-hover-background: #b1cfe9;
    --md-sys-color-action-buttons-text: rgba(0, 0, 0, 0.9);
    --md-sys-color-action-buttons-shadow: #ffffff;
}

:root[theme=dark] {
    color-scheme: dark;
    --md-sys-color-action-buttons-background: rgba(0, 0, 0, 0.4);
    --md-sys-color-action-buttons-hover-background: #3b82c0;
    --md-sys-color-action-buttons-text: rgba(255, 255, 255, 0.7);
    --md-sys-color-action-buttons-shadow: #000000;
}

body {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
}

.lockContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
    background-image: url("/static/main/img/lockedBackground.jpg");
    background-position: top left;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 1;
}

.lockForm {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-200px, -160px);
    height: 280px;
    width: 400px;
    padding: 24px 48px;
    border-radius: 16px;
    box-shadow: 10px 10px 20px #000;
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
    z-index: 2;
    text-align: center;
}

#watermark {
    width: 253px;
    height: 40px;
    top: 45px;
    left: calc(100% - 370px);
    background-image: url("/static/main/img/logo-horiz-transparent-bw.png");
    opacity: 0.4;
    cursor: pointer;
    position: fixed;
    z-index: 9990;

    &.topBarEnabled {
        left: calc(100% - 280px) !important;
        top: 85px !important;
    }

    &:hover {
        opacity: 0.8;
        background-image: url("/static/main/img/logo-horiz-transparent.png");
    }
}

@media (max-width: 600px) {
    #watermark {
        width: 180px;
        height: 30px;
        top: 52px;
        left: calc(100% - 290px);
        background-size: contain;
    }
}

.main-floating-menu {
    background-color: var(--md-sys-color-background) !important;
    color: var(--md-sys-color-text) !important;
}

h1 {
    font-size: 24px;
    font-weight: bold;
    margin: 0 0 16px 0;
}

h2 {
    font-size: 20px;
    margin: 0 0 8px 0;
}

h3 {
    font-size: 18px;
    margin: 0 0 8px 0;
}

.bottomMargin {
    margin-bottom: 24px;
}

.smallBottomMargin {
    margin-bottom: 8px;
}

.fixed-action-btn {
    position: fixed;
    right: 32px;
    top: 20px;
    bottom: auto;
}

.firstMenuEntry {
    margin-top: 16px !important;
}

.sidenavButtons {
    margin-top: 24px !important;
}

.sidenavButtons a.btn {
    margin: 0 4px;
}

.sidenav .subheader {
    margin-top: 16px;
    font-weight: bold;
}

#previewMode {
    position: fixed;
    z-index: 500;
    top: calc(50% - 18px);
    left: calc(50% - 130px);
    width: 260px;
    line-height: 72px;
    font-size: 48px;
    opacity: 0.3;
    color: #fff;
    color: var(--md-sys-color-background);
    background-color: var(--md-sys-color-text);
    border-radius: 36px;
    text-align: center;
    display: none;
}

#revealContainer {
    position: fixed;
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    z-index: 1;
}

#revealInner {
    position: fixed;
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    width: 1920px;
    height: 1080px;
    overflow: auto;
    z-index: 2;
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
}

#revealZone {
    width: 100%;
    height: 100%;
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
}

.reveal .slide-background video {
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
}

#videoControls, #pdfControls, #photosphereControls, #tridiControls {
    display: none;
    height: 40px;
    overflow: hidden;
}

#videoSlider {
    display: none;
    z-index: 10;
    position: fixed;
    margin: 0;
    padding: 0;
    top: calc(100% - 110px);
    left: 24px;
    width: calc(100% - 48px);
    height: 36px;
    overflow: hidden;
}

#slideButtons {
    z-index: 1100;
    position: fixed;
    margin: 0;
    padding: 0;
    top: calc(100% - 64px);
    left: 24px;
    width: calc(100% - 48px);
    height: 64px;
    overflow: hidden;
}

.sliderContainer {
    width: 100%;
    height: 28px;
    overflow: hidden;
    background-color: var(--md-sys-color-action-buttons-background) !important;
    color: var(--md-sys-color-action-buttons-text) !important;
    border: 1px solid var(--md-sys-color-action-buttons-shadow) !important;
    margin: 6px 0 0 0;
    border-radius: 24px;
}

/* The slider itself */
.slider {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 24px;
    background: #e8eaf6;
    border: 1px solid #9fa8da;
    outline: none; 
    -webkit-transition: .2s;
    transition: opacity .2s;
    margin: 0 !important;
    padding: 0 !important;
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 24px;
    height: 24px;
    background-color: #9fa8da;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 24px; /* Set a specific slider handle width */
    height: 24px; /* Slider handle height */
    background: #9fa8da; /* Green background */
    cursor: pointer; /* Cursor on hover */
}

.zeroMarginAndPadding {
    margin: 0 !important;
    padding: 0 !important;
}

.progress {
    /* force hide reveal.js progress bar */
    display: none !important;
}

.controls {
    /* force hide reveal.js controls bar */
    display: none !important;
}

.buttonShadow {
    -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14) !important;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14) !important;
}

.loadingMessageContainer {
    position: fixed;
    z-index: 980;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
}

.loadingLogo {
    position: fixed;
    top: calc(50% - 100px);
    left: calc(50% - 100px);
    z-index: 1000;
}

#loadingLogoImage {
    width: 200px;
    height: 200px;
}

.loadingMessagePreloader {
    position: fixed;
    z-index: 1000;
    top: calc(50% + 120px);
    left: calc(50% - 100px);
    width: 200px;
}

#workingMarker {
    display: none;
    position: fixed;
    top: 24px;
    left: 24px;
    width: 250px;
    height: 40px;
    z-index: 100;
}

#workingMarkerIcon {
    display: block;
    position: fixed;
    z-index: 500;
    top: 24px;
    left: 24px;
    width: 40px;
    height: 40px;
    line-height: 40px;
    overflow: hidden;
}

#workingMarkerMessage {
    display: block;
    position: fixed;
    z-index: 500;
    top: 24px;
    left: 80px;
    width: 190px;
    height: 40px;
    line-height: 40px;
    overflow: hidden;
    color: var(--md-sys-color-text);
}

#presentationMarker {
    display: none;
    position: fixed;
    top: 24px;
    left: 24px;
    width: 40px;
    height: 40px;
    z-index: 100;
}

@keyframes presentationMarkerAnimation {
    0%   {opacity: 0}
    50%  {opacity: 1}
    100% {opacity: 0}
}

#presentationMarkerIcon {
    font-size: 40px;
    color: var(--md-sys-color-text);
    animation: presentationMarkerAnimation 2s infinite;
}

.topBarEnabled {
    top: 80px !important;
}

#offlineIcon {
    display: none;
    position: fixed;
    top: 52px;
    left: calc(100% - 130px);
    width: 24px;
    height: 24px;
}

#fullScreenExternalContent {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
    background-color: var(--md-sys-color-background);
}

#hotspotsContainer {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
}

.textShadow {
    text-shadow: 2px 2px 3px var(--md-sys-color-background);

    &.actionButtons {
        text-shadow: 2px 2px 3px var(--md-sys-color-action-buttons-shadow) !important;
    }
}

#navigationButtons {
    display: none;
    max-width: 280px;
    margin-left: auto;
}

.reveal-viewport.reveal-scroll .scrollbar {
    visibility: hidden;
}

.reveal-viewport.reveal-scroll, .reveal .slide-background-content {
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
}

/* READ MASTER CSS IN: https://github.com/hakimel/reveal.js/blob/master/css/reveal.scss */

/* Global transition speed settings */
.reveal[data-transition-speed="default"] .slides section {
	transition-duration: 600ms !important;
}
.reveal[data-transition-speed="fast"] .slides section {
	transition-duration: 200ms !important;
}
.reveal[data-transition-speed="slow"] .slides section {
	transition-duration: 1200ms !important;
}
.reveal[data-transition-speed="none"] .slides section {
	transition-duration: 0 !important;
}

/* Slide-specific transition speed overrides */
.reveal .slides section[data-transition-speed="default"] {
	transition-duration: 600ms !important;
}
.reveal .slides section[data-transition-speed="fast"] {
	transition-duration: 200ms !important;
}
.reveal .slides section[data-transition-speed="slow"] {
	transition-duration: 1200ms !important;
}
.reveal .slides section[data-transition-speed="none"] {
	transition-duration: 0 !important;
}

.hidden-element {
    display: none !important;
}

#presentation-top-menu {
    z-index: 9999; 
    position: fixed;
}

.dropdown-content {
    background-color: var(--md-sys-color-background);
    color: var(--md-sys-color-text);
    top: 56px !important;
    border: 0;
}

.dropdown-content li>a, .dropdown-content li>span {
    background-color: var(--md-sys-color-background) !important;
    color: var(--md-sys-color-text) !important;
}

.dropdown-content li>a:hover, .dropdown-content li>span:hover {
    background-color: var(--md-sys-color-on-background) !important;
    color: var(--md-sys-color-text) !important;
}

model-viewer {
    width: 100%;
    height: 100%;
    /* Use this to set a transparent background, allowing to use a image bg on the main container */
    background-color: unset;
}

#default-ar-button {
    visibility: hidden !important;
    display: none !important;
}

#topBarTitle {
    display: inline;
    width: auto;
    max-width: 30%;
}

.actionButtons {
    background-color: var(--md-sys-color-action-buttons-background) !important;
    color: var(--md-sys-color-action-buttons-text) !important;
    border-radius: 8px;
    text-shadow: 2px 2px 3px var(--md-sys-color-action-buttons-shadow) !important;
}

.actionButtons:hover {
    background-color: var(--md-sys-color-action-buttons-hover-background) !important;
}


.hotspot {
    cursor: pointer;
    opacity: 0.5;
    filter: drop-shadow(0px 2px 4px #000);
}

.hotspot:hover {
    animation: hotspotPulseIn 0.3s normal;
    opacity: 1 !important;
    filter: drop-shadow(0px 4px 8px #000);
}

.hotspot:not(:hover){
    animation: hotspotPulseOut 0.3s normal;
    opacity: 0.5 !important;
}

.hotspot3d[data-visible="true"] {
    opacity: 0.5;
    pointer-events: auto;
    filter: drop-shadow(0px 2px 4px #000);
}

.hotspot3d[data-visible="true"]:hover {
    animation: hotspotPulseIn 0.3s normal;
    opacity: 1 !important;
    filter: drop-shadow(0px 4px 8px #000);
}

.hotspot3d[data-visible="true"]:not(:hover){
    animation: hotspotPulseOut 0.3s normal;
    opacity: 0.5 !important;
}

.hotspot3d[data-visible="false"] {
  opacity: 0.1 !important;
  pointer-events: none;
}

@keyframes hotspotPulseIn {
    0% { 
        opacity: 0.5 !important;
    }
    20% { 
        opacity: 0.6 !important;
    }
    40% { 
        opacity: 0.7 !important;
    }
    60% { 
        opacity: 0.8 !important;
    }
    80% { 
        opacity: 0.9 !important;
    }
    100% { 
        opacity: 1 !important;
    }
}

@keyframes hotspotPulseOut {
    0% { 
        opacity: 1 !important;
    }
    20% { 
        opacity: 0.9 !important;
    }
    40% { 
        opacity: 0.8 !important;
    }
    60% { 
        opacity: 0.7 !important;
    }
    80% { 
        opacity: 0.6 !important;
    }
    100% { 
        opacity: 0.5 !important;
    }
}
